config/routes.rb
Rails.application.routes.draw do
  get 'properties/new'
  
  root                       'pages#home'
  get    'about'          => 'pages#about'
  get    'search'         => 'properties#index'
  get    'register'       => 'users#new'
  get    'login'          => 'sessions#new'
  post   'login'          => 'sessions#create'
  delete 'logout'         => 'sessions#destroy'
  get    'properties/new' => 'properties#new'
  get    'properties/:id/review' => 'reviews#new'
  resources :users
  resources :account_activations, only: [:edit]
  resources :properties
  resources :comments,            only: [:create, :destroy]
  resources :reviews,            only: [:new , :create, :destroy]
end

app/views/shared/_comment_form.html.erb
<%= form_for(@comment) do |f| %>
  <%= render 'shared/error_messages', object: f.object %>
  <div class="field">
    <% @user = User.find(current_user) %>
    <%= hidden_field_tag :user_id, @user.id %>
    <%= f.text_area :content, placeholder: "Compose new comment..." %>
  </div>
  <%= f.submit "Comment", class: "btn btn-main" %>
<% end %>

app/views/shared/_error_messages.html.erb
<% if @user.errors.any? %>
  <div id="error_explanation">
    <div class="alert alert-danger">
      The form contains <%= pluralize(@user.errors.count, "error") %>.
    </div>
    <ul>
    <% @user.errors.full_messages.each do |msg| %>
      <li><%= msg %></li>
    <% end %>
    </ul>
  </div>
<% end %>

app/views/shared/_searchbox.html.erb
<form action="<%= search_path %>" method="get">
  <%= search_field_tag :q, params[:q], placeholder: "Find a bed" %>
  <%= submit_tag "", :name => nil, alt: "search" %>
</form>

app/views/shared/_user_info.html.erb
<%= link_to gravatar_for(current_user, 50), current_user %>
<h1><%= current_user.name %></h1>
<span><%= link_to "view my profile", current_user %></span>
<span><%= pluralize(@property.comments.count, "comment") %></span>